Class GetAgentCardRequest.Builder (0.27.0)

public static final class GetAgentCardRequest.Builder extends GeneratedMessage.Builder<GetAgentCardRequest.Builder> implements GetAgentCardRequestOrBuilder

Request message for GetAgentCard.

Protobuf type google.cloud.geminidataanalytics.v1beta.GetAgentCardRequest

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

build()

public GetAgentCardRequest build()
Returns
Type Description
GetAgentCardRequest

buildPartial()

public GetAgentCardRequest buildPartial()
Returns
Type Description
GetAgentCardRequest

clear()

public GetAgentCardRequest.Builder clear()
Returns
Type Description
GetAgentCardRequest.Builder
Overrides

clearTenant()

public GetAgentCardRequest.Builder clearTenant()

Optional. Optional tenant, provided as a path parameter.

string tenant = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
GetAgentCardRequest.Builder

This builder for chaining.

getDefaultInstanceForType()

public GetAgentCardRequest getDefaultInstanceForType()
Returns
Type Description
GetAgentCardRequest

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getTenant()

public String getTenant()

Optional. Optional tenant, provided as a path parameter.

string tenant = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
String

The tenant.

getTenantBytes()

public ByteString getTenantBytes()

Optional. Optional tenant, provided as a path parameter.

string tenant = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ByteString

The bytes for tenant.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(GetAgentCardRequest other)

public GetAgentCardRequest.Builder mergeFrom(GetAgentCardRequest other)
Parameter
Name Description
other GetAgentCardRequest
Returns
Type Description
GetAgentCardRequest.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public GetAgentCardRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
GetAgentCardRequest.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public GetAgentCardRequest.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
GetAgentCardRequest.Builder
Overrides

setTenant(String value)

public GetAgentCardRequest.Builder setTenant(String value)

Optional. Optional tenant, provided as a path parameter.

string tenant = 1 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value String

The tenant to set.

Returns
Type Description
GetAgentCardRequest.Builder

This builder for chaining.

setTenantBytes(ByteString value)

public GetAgentCardRequest.Builder setTenantBytes(ByteString value)

Optional. Optional tenant, provided as a path parameter.

string tenant = 1 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ByteString

The bytes for tenant to set.

Returns
Type Description
GetAgentCardRequest.Builder

This builder for chaining.